org.appng.core.controller.messaging

## Class SiteStateEvent

- java.lang.Object
- - org.appng.api.messaging.Event
  - - org.appng.core.controller.messaging.SiteStateEvent

- All Implemented Interfaces:
    Serializable

      public class SiteStateEvent
      extends Event

  An `Event` to be fired when a `Site`'s `Site.SiteState` changes. Triggers a `NodeEvent`.
  Author:
    Matthias Müller
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SITE_STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteStateEvent(String siteName, Site.SiteState state, String nodeId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleSiteState(Environment environment)`
    `void` | `perform(Environment environment, Site site)` Performs the event
    `String` | `toString()`

    - ### Methods inherited from class org.appng.api.messaging.Event

      `getNodeId, getSiteName, setNodeId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SITE_STATE

          public static final String SITE_STATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SiteStateEvent

          public SiteStateEvent(String siteName,
                                Site.SiteState state,
                                String nodeId)

  - ### Method Detail

    - #### perform

          public void perform(Environment environment,
                              Site site)
                       throws InvalidConfigurationException

      Description copied from class: `Event`
      Performs the event
      Specified by:
        `perform` in class `Event`
      Parameters:
        `environment` - then `Environment` to use
        `site` - the `Site` where the event occurred
      Throws:
        `InvalidConfigurationException` - if there's a configuration error

    - #### handleSiteState

          public void handleSiteState(Environment environment)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Event`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.